Package io.vertx.ext.eventbus.bridge.tcp

## Interface TcpEventBusBridge

-     public interface TcpEventBusBridge

  TCP EventBus bridge for Vert.x
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the current socket.
    `static TcpEventBusBridge` | `create​(Vertx vertx)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler)` |
    `Future<TcpEventBusBridge>` | `listen()` | Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
    `Future<TcpEventBusBridge>` | `listen​(int port)` | Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `Future<TcpEventBusBridge>` | `listen​(int port, String address)` | Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
    `default Future<TcpEventBusBridge>` | `listen​(SocketAddress localAddress)` | Start listening on the specified local address, ignoring port and host configured in the `NetServerOptions` used when creating the server.

- - ### Method Detail

    - #### create

          static TcpEventBusBridge create​(Vertx vertx)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options,
                                          NetServerOptions netServerOptions)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options,
                                          NetServerOptions netServerOptions,
                                          Handler<BridgeEvent> eventHandler)

    - #### listen

          Future<TcpEventBusBridge> listen()

      Start listening on the port and host as configured in the `NetServerOptions` used when creating the server.
      Returns:
        a future of the result

    - #### listen

          Future<TcpEventBusBridge> listen​(int port,
                                           String address)

      Start listening on the specified port and host, ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the tcp port
        `address` - the local address
      Returns:
        a future of the result

    - #### listen

          Future<TcpEventBusBridge> listen​(int port)

      Start listening on the specified port and host "0.0.0.0", ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `port` - the TCP port
      Returns:
        a future of the result

    - #### listen

          default Future<TcpEventBusBridge> listen​(SocketAddress localAddress)

      Start listening on the specified local address, ignoring port and host configured in the `NetServerOptions` used when creating the server.
      Parameters:
        `localAddress` - the local address to listen on
      Returns:
        a future of the result

    - #### close

          Future<Void> close()

      Close the current socket.
      Returns:
        a future of the result